<%@ page language="C#" autoeventwireup="true" codefile="ToggleCommand.aspx.cs" inherits="Commands_ToggleCommand" %>

<%@ register tagprefix="telerik" assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Untitled Page</title>
	<style type="text/css">
    .rdPrimaryState
    {
		/*You could also put a background image here*/
		background-color:red;
		/*If you do not have an image you should set the width of the command item!*/
		width:20px;
    }
    .rdAlternateState
    {
		/*You could also put a background image here*/
    	background-color:blue;
		/*If you do not have an image you should set the width of the command item!*/
		width:20px;
    }
    </style>
</head>
<body>
	<form id="form1" runat="server">
		<asp:scriptmanager id="ScriptManager" runat="server" />

		<script type="text/javascript">
		function OnClientCommand(command, args)
		{
			alert("You clicked: " + command.get_Name() + ". Its state will be changed after you close this dialog box.");
			//Perhaps in a future update we will add toggleState() method, which will do the following 
			// for you, or a property, which will force the command item to shange its state automatically
			command.set_State(command.get_State() == 1 ? 2 : 1);
			//Setting Cancel=true will cancel the default actions (update the client state of the RadDock control
			// and submit the page if AutoPostBack=true). You could disable only AutoPostBack by calling
			// command.set_AutoPostBack(false), but you will have to set it to true when you need to submit the page
			if (!confirm("Do you want to submit the page? This will trigger the server-side event handler"))
			{
				args.set_cancel(true);
			}
		}
		</script>

		<asp:label runat="server" id="Label1"></asp:label>
		<telerik:raddocklayout runat="server" id="RadDockLayout1">
			<%-- You could use RadDock.CommandsAutoPostBack=true instead 
				of setting the AutoPostBack property of each command. This is useful
				when all command items should perform postback (see RadDock2) --%>
			<telerik:raddock top="20" left="20" runat="server" id="RadDock1" oncommand="RadDock1_Command" title="ToggleCommand in Primary state" text="The command item text is displayed as a tooltip">
				<commands>
					<telerik:docktogglecommand autopostback="true" text="Primary State" alternatetext="Alternate State"
						cssclass="rdPrimaryState" alternatecssclass="rdAlternateState" state="primary"
						name="MyCustomCommand" onclientcommand="OnClientCommand" />
				</commands>
			</telerik:raddock>
			<telerik:raddock top="100" left="20" commandsautopostback="true" runat="server" id="RadDock2" oncommand="RadDock1_Command" title="ToggleCommand in Alternate state" text="Some text...">
				<commands>
					<telerik:dockexpandcollapsecommand />
					<telerik:docktogglecommand text="Primary State" alternatetext="Alternate State"
						cssclass="rdPrimaryState" alternatecssclass="rdAlternateState" state="alternate"
						name="MyCustomCommand" onclientcommand="OnClientCommand" />
				</commands>
			</telerik:raddock>
		</telerik:raddocklayout>
	</form>
</body>
</html>
